---
title: Star Charts and Maps in Python
---

# Welcome to Starplot

![Python](https://img.shields.io/pypi/pyversions/starplot?style=for-the-badge&color=85A2C1)
![PyPI](https://img.shields.io/pypi/v/starplot?style=for-the-badge&color=85C0C1)
![License](https://img.shields.io/github/license/steveberardi/starplot?style=for-the-badge&color=A485C1)
![GitHub Workflow Status](https://img.shields.io/github/actions/workflow/status/steveberardi/starplot/test.yml?style=for-the-badge&color=a2c185)

Starplot is a Python library for creating star charts and maps.
{.text-subtitle}

- ⭐ **Zenith Plots** - showing the stars from a specific time/location

- 🗺️ **Map Plots** - including North/South polar and Mercator projections

- 🔭 **Optic Plots** - simulates what you'll see through an optic (e.g. telescope) from a time/location

- 🪐 **Planets and Deep Sky Objects (DSOs)**

- 🎨 **Custom Styles** - for all objects

- 📥 **Export** - png, svg

- 🧭 **Label Collision Avoidance**

Join other starplotters on [Discord :fontawesome-brands-discord:{ .fg-primary }](https://discord.gg/bwazdyD7)

*Example charts and maps created with Starplot:*
<!-- {.text-subtitle} -->

<figure markdown>
  <img src="images/examples/star_chart_basic.png" height="900" width="900">
  <figcaption>Zenith plot of the stars from a specific time/location (<a href="/examples/star-chart-basic">source code</a>)</figcaption>
</figure>

<figure markdown>
  <img src="images/examples/map_orion.png" width="900">
  <figcaption>Map around the constellation Orion, with an ellipse around Orion's Belt (<a href="/examples/map-orion">source code</a>)</figcaption>
</figure>


<figure markdown>
  <img src="images/examples/optic_m45.png" width="900">
  <figcaption>Optic plot that shows what The Pleiades looked like through a refractor telescope on December 16, 2023 at 9pm PT from Palomar Mountain in California (<a href="/examples/optic-m45">source code</a>)</figcaption>
</figure>


---

✨ [Check out more examples...](examples.md)
{.text-subtitle}
