---
title: 3 - Adding More Details to the Star Chart
---

---

<figure markdown="span">
  ![Tutorial - Detailed Star Chart](/images/tutorial/tutorial_03.png){ width="600" }
</figure>

Building on the first example, let's add some color and more objects to the plot, to create the chart above. Here's the revised code with the new lines highlighted:

```python  linenums="1" hl_lines="4 15-17  23-27 29-49"
--8<-- "tutorial/tutorial_03.py"
```

Here's an explanation of what we changed:

**Line 15:** Added the `style` keyword argument when creating the plot instance. This is an instance of a [`PlotStyle`][starplot.PlotStyle], and it represents ALL the styling properties to use for the plot (e.g. the colors, symbols, sizes, and more). In our revised example here, we create a default `PlotStyle` and then `extend` it with the `BLUE_MEDIUM` color scheme. Starplot has a very customizable [styling framework](/reference-styling) that allows you to customize the appearance of just about anything you plot.

**Line 23:** Plot deep sky objects (DSOs) with a limiting magnitude of 9. The `true_size=True` argument tells Starplot to plot each DSO as their true apparent size in the sky. We also pass `labels=None` to hide all the labels for DSOs to avoid cluttering the plot.

**Lines 24-27:** Plot the constellation borders, ecliptic, celestial equator, and the Milky Way.

**Lines 29-49:** Add a marker for the [Coma Star Cluster](https://en.wikipedia.org/wiki/Coma_Star_Cluster) (aka Melotte 111), and customize its style. Starplot also has functions for plotting circles, rectangles, polygons, and more. See the reference for [`MapPlot`][starplot.MapPlot] for details.

*In the [next section](04.md), we'll learn how to create maps in other projections...*

---
<div class="flex-space-between" markdown>

[:octicons-arrow-left-24: Previous](02.md){ .md-button .text-right }

[Tutorial Home](/tutorial)

[Next :octicons-arrow-right-24:](04.md){ .md-button .text-right }

</div>
